Name:		pylast
Version:	1.5.1
Release:	2%{?dist}
Summary:	A Python interface to Last.fm API compatible social networks
Group:		Development/Languages
License:	ASL 2.0
URL:		http://pypi.python.org/pypi/pylast
Source0:	http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	PyYAML
BuildRequires:	pyflakes
BuildRequires:	pytest
BuildRequires:	python-coverage
BuildRequires:	python-mock
BuildRequires:	python-pbr
BuildRequires:	python-pep8
BuildRequires:	python-py
BuildRequires:	python-setuptools
BuildRequires:	python-six
BuildRequires:	python2-devel
Requires:	python-six
BuildArch:	noarch
%{?python_provide:%python_provide python2-pylast}


%description
A Python interface to Last.fm (and other API compatible social networks)


%package -n python3-pylast
Summary:	A Python interface to Last.fm API compatible social networks
BuildRequires:	python3-PyYAML
BuildRequires:	python3-coverage
BuildRequires:	python3-devel
BuildRequires:	python3-mock
BuildRequires:	python3-pbr
BuildRequires:	python3-pep8
BuildRequires:	python3-py
BuildRequires:	python3-pyflakes
BuildRequires:	python3-pytest
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
Requires:	python3-six
%{?python_provide:%python_provide python3-pylast}


%description -n python3-pylast
A Python interface to Last.fm (and other API compatible social networks)


%prep
%setup -q


%build
%py2_build
%py3_build


%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files
%license COPYING
%doc README.md
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-*.egg-info/


%files -n python3-pylast
%license COPYING
%doc README.md
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-*.egg-info/


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Feb  8 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.5.1-1
- Ver. 1.5.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 19 2015 Peter Lemenkov <lemenkov@gmail.com> - 1.4.2-1
- Ver. 1.4.2
- Remove outdated RPM-related stuff and eventually drop compatibility with EPEL < 7
- Python3 sub-package

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.11-1
- Initial package

